Debian Bug report logs - #494007
binary firmware in drivers/char/drm/r128_cce.c

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Robert Millan <rmh@aybabtu.com>

Date: Wed, 6 Aug 2008 15:57:01 UTC

Severity: serious

Tags: help, lenny-ignore, patch

Found in versions 2.6.26-1, 2.6.18-1, linux-2.6/2.6.26-11

Fixed in version linux-2.6/2.6.29-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binary firmware in drivers/char/drm/r128_cce.c
Date: Wed, 06 Aug 2008 15:53:03 +0000
Package: linux-2.6
Version: 2.6.26-1
Severity: serious

Hi,

drivers/char/drm/r128_cce.c (licensed under BSD-style terms) contains a small
buffer with code in binary form:

/* CCE microcode (from ATI) */
static u32 r128_cce_microcode[] = {
	[...]

As per the comment, it appears to be copyrighted by ATI, although the copyright
header doesn't mention that.

This could possibly be infringing ATI's copyright.  Assuming it's not, it's
still in violation of the DFSG.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.18-6-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Bug marked as found in version 2.6.18-1. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 06 Aug 2008 16:24:03 GMT) Full text and rfc822 format available.

Tags added: help Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Wed, 06 Aug 2008 16:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. Full text and rfc822 format available.

Message #12 received at 494007@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: neroden@gcc.gnu.org
Cc: 494007@bugs.debian.org
Subject: Re: binary firmware in drivers/char/drm/r128_cce.c
Date: Thu, 7 Aug 2008 16:46:15 +0200
Hi Nathanael,

I believe you made some work on a userland loader for this non-free firmware
(see subject).  If you have a minute, could you send a followup to this [1] bug
about the latest status of this?

Thanks!

[1] But, please, not to the old meta-bugs that regroup this problem with other
    stuff and are now full of confusion and (fortunately) closed.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. Full text and rfc822 format available.

Message #15 received at 494007@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 494007@bugs.debian.org
Cc: neroden@gcc.gnu.org, neroden@twcny.rr.com
Subject: old patch for drivers/char/drm/r128_cce.c
Date: Sat, 9 Aug 2008 21:56:44 +0200
Hi,

It appears that Nathanael sent a patch to implement user handling of
r128_cce.c, I found it by digging in the #242866 meta-bug:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242866#33

It'd most likely need some work to get it updated, but the major barrier
is that it was applied in 2004 and had to be reverted because it caused
problems with X:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242866#73

unfortunately there's no reference to where are those problems documented,
and I don't have the hardware to test myself.  So first of all I'd like to
know if someone has more information about them, and whether they have been
fixed or not (Nathanael mentions in the bug log that he was going to try).

Or, if someone has access to the affected hardware and can test things, I'd
like to know about that too.

Thanks

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. (Sun, 12 Oct 2008 20:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Oct 2008 20:18:08 GMT) Full text and rfc822 format available.

Message #20 received at 494007@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 494007@bugs.debian.org
Subject: Re: binary firmware in drivers/char/drm/r128_cce.c
Date: Sun, 12 Oct 2008 21:16:25 +0100
[Message part 1 (text/plain, inline)]
Here's a patch to make r128 use request_firmware.  This is
compile-tested only as I don't have appropriate hardware.  The firmware
file can be produced by writing the array as 32-bit little-endian
values.  However, there is still a problem with its licence.

Ben.

diff --git a/drivers/char/drm/Kconfig b/drivers/char/drm/Kconfig
index 610d6fd..ea26dfd 100644
--- a/drivers/char/drm/Kconfig
+++ b/drivers/char/drm/Kconfig
@@ -26,6 +26,7 @@ config DRM_TDFX
 config DRM_R128
 	tristate "ATI Rage 128"
 	depends on DRM && PCI
+	select FW_LOADER
 	help
 	  Choose this option if you have an ATI Rage 128 graphics card.  If M
 	  is selected, the module will be called r128.  AGP support for
diff --git a/drivers/char/drm/r128_cce.c b/drivers/char/drm/r128_cce.c
index c31afbd..e29c082 100644
--- a/drivers/char/drm/r128_cce.c
+++ b/drivers/char/drm/r128_cce.c
@@ -29,6 +29,8 @@
  *    Gareth Hughes <gareth@valinux.com>
  */
 
+#include <linux/firmware.h>
+
 #include "drmP.h"
 #include "drm.h"
 #include "r128_drm.h"
@@ -36,51 +38,6 @@
 
 #define R128_FIFO_DEBUG		0
 
-/* CCE microcode (from ATI) */
-static u32 r128_cce_microcode[] = {
-	0, 276838400, 0, 268449792, 2, 142, 2, 145, 0, 1076765731, 0,
-	1617039951, 0, 774592877, 0, 1987540286, 0, 2307490946U, 0,
-	599558925, 0, 589505315, 0, 596487092, 0, 589505315, 1,
-	11544576, 1, 206848, 1, 311296, 1, 198656, 2, 912273422, 11,
-	262144, 0, 0, 1, 33559837, 1, 7438, 1, 14809, 1, 6615, 12, 28,
-	1, 6614, 12, 28, 2, 23, 11, 18874368, 0, 16790922, 1, 409600, 9,
-	30, 1, 147854772, 16, 420483072, 3, 8192, 0, 10240, 1, 198656,
-	1, 15630, 1, 51200, 10, 34858, 9, 42, 1, 33559823, 2, 10276, 1,
-	15717, 1, 15718, 2, 43, 1, 15936948, 1, 570480831, 1, 14715071,
-	12, 322123831, 1, 33953125, 12, 55, 1, 33559908, 1, 15718, 2,
-	46, 4, 2099258, 1, 526336, 1, 442623, 4, 4194365, 1, 509952, 1,
-	459007, 3, 0, 12, 92, 2, 46, 12, 176, 1, 15734, 1, 206848, 1,
-	18432, 1, 133120, 1, 100670734, 1, 149504, 1, 165888, 1,
-	15975928, 1, 1048576, 6, 3145806, 1, 15715, 16, 2150645232U, 2,
-	268449859, 2, 10307, 12, 176, 1, 15734, 1, 15735, 1, 15630, 1,
-	15631, 1, 5253120, 6, 3145810, 16, 2150645232U, 1, 15864, 2, 82,
-	1, 343310, 1, 1064207, 2, 3145813, 1, 15728, 1, 7817, 1, 15729,
-	3, 15730, 12, 92, 2, 98, 1, 16168, 1, 16167, 1, 16002, 1, 16008,
-	1, 15974, 1, 15975, 1, 15990, 1, 15976, 1, 15977, 1, 15980, 0,
-	15981, 1, 10240, 1, 5253120, 1, 15720, 1, 198656, 6, 110, 1,
-	180224, 1, 103824738, 2, 112, 2, 3145839, 0, 536885440, 1,
-	114880, 14, 125, 12, 206975, 1, 33559995, 12, 198784, 0,
-	33570236, 1, 15803, 0, 15804, 3, 294912, 1, 294912, 3, 442370,
-	1, 11544576, 0, 811612160, 1, 12593152, 1, 11536384, 1,
-	14024704, 7, 310382726, 0, 10240, 1, 14796, 1, 14797, 1, 14793,
-	1, 14794, 0, 14795, 1, 268679168, 1, 9437184, 1, 268449792, 1,
-	198656, 1, 9452827, 1, 1075854602, 1, 1075854603, 1, 557056, 1,
-	114880, 14, 159, 12, 198784, 1, 1109409213, 12, 198783, 1,
-	1107312059, 12, 198784, 1, 1109409212, 2, 162, 1, 1075854781, 1,
-	1073757627, 1, 1075854780, 1, 540672, 1, 10485760, 6, 3145894,
-	16, 274741248, 9, 168, 3, 4194304, 3, 4209949, 0, 0, 0, 256, 14,
-	174, 1, 114857, 1, 33560007, 12, 176, 0, 10240, 1, 114858, 1,
-	33560018, 1, 114857, 3, 33560007, 1, 16008, 1, 114874, 1,
-	33560360, 1, 114875, 1, 33560154, 0, 15963, 0, 256, 0, 4096, 1,
-	409611, 9, 188, 0, 10240, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
-	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
-};
-
 static int R128_READ_PLL(struct drm_device * dev, int addr)
 {
 	drm_r128_private_t *dev_priv = dev->dev_private;
@@ -176,20 +133,36 @@ static int r128_do_wait_for_idle(drm_r128_private_t * dev_priv)
  */
 
 /* Load the microcode for the CCE */
-static void r128_cce_load_microcode(drm_r128_private_t * dev_priv)
+static int
+r128_cce_load_microcode(struct drm_device *dev, drm_r128_private_t *dev_priv)
 {
-	int i;
+	const struct firmware *fw;
+	const __le32 *microcode;
+	int rc, i;
# 
 	DRM_DEBUG("\n");
 
+	rc = request_firmware(&fw, "r128/cce_ucode.bin", &dev->pdev->dev);
+	if (rc)
+		return rc;
+	if (fw->size != 256 * 8) {
+		release_firmware(fw);
+		return -EINVAL;
+	}
+	microcode = (const __le32 *)fw->data;
+
 	r128_do_wait_for_idle(dev_priv);
 
 	R128_WRITE(R128_PM4_MICROCODE_ADDR, 0);
 	for (i = 0; i < 256; i++) {
-		R128_WRITE(R128_PM4_MICROCODE_DATAH, r128_cce_microcode[i * 2]);
+		R128_WRITE(R128_PM4_MICROCODE_DATAH,
+			   le32_to_cpu(microcode[i * 2]));
 		R128_WRITE(R128_PM4_MICROCODE_DATAL,
-			   r128_cce_microcode[i * 2 + 1]);
+			   le32_to_cpu(microcode[i * 2 + 1]));
 	}
+
+	release_firmware(fw);
+	return 0;
 }
 
 /* Flush any pending commands to the CCE.  This should only be used just
@@ -350,6 +323,7 @@ static void r128_cce_init_ring_buffer(struct drm_device * dev,
 static int r128_do_init_cce(struct drm_device * dev, drm_r128_init_t * init)
 {
 	drm_r128_private_t *dev_priv;
+	int rc;
 
 	DRM_DEBUG("\n");
 
@@ -576,13 +550,18 @@ static int r128_do_init_cce(struct drm_device * dev, drm_r128_init_t * init)
 #endif
 
 	r128_cce_init_ring_buffer(dev, dev_priv);
-	r128_cce_load_microcode(dev_priv);
+	rc = r128_cce_load_microcode(dev, dev_priv);
 
 	dev->dev_private = (void *)dev_priv;
 
 	r128_do_engine_reset(dev);
 
-	return 0;
+	if (rc) {
+		DRM_ERROR("failed to load microcode\n");
+		r128_do_cleanup_cce(dev);
+	}
+
+	return rc;
 }
 
 int r128_do_cleanup_cce(struct drm_device * dev)
diff --git a/drivers/char/drm/r128_drv.c b/drivers/char/drm/r128_drv.c
index 6108e75..cb080f8 100644
--- a/drivers/char/drm/r128_drv.c
+++ b/drivers/char/drm/r128_drv.c
@@ -101,3 +101,4 @@ module_exit(r128_exit);
 MODULE_AUTHOR(DRIVER_AUTHOR);
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL and additional rights");
+MODULE_FIRMWARE("r128/cce_ucode.bin");
--- END ---

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. (Sun, 12 Oct 2008 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 12 Oct 2008 23:12:04 GMT) Full text and rfc822 format available.

Message #25 received at 494007@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 494007@bugs.debian.org
Subject: Re: binary firmware in drivers/char/drm/r128_cce.c
Date: Mon, 13 Oct 2008 00:08:57 +0100
[Message part 1 (text/plain, inline)]
I asked Dave Airlie about this:

23:36 < bwh> airlied: Do you know who might be a good person to write to
at ATI/AMD about the licence for firmware in r128?
23:48 < airlied> bwh: what license you want it under? its already MIT
licensed.
23:50 < bwh> airlied: Is it? Thing is, r128_cce.c doesn't have any ATI
copyright notice on it.
23:51 < airlied> bwh: fail.. it probably should have, its still MIT
licensed though.
23:52 < bwh> So would someone at ATI be able to confirm that?
23:53 < airlied> well the r128_cce.c has the MIT license on top
23:53 < airlied> I'm just looking to see if I have the original DDK
release.
23:55 < bwh> airlied: cheers
23:56 < airlied> so the original table was just released under NDA, with
permission to reuse in open source.
23:58 < bwh> Funny sort of NDA ;-) Do you have some legally meaningful
statement of the permission that you could forward?
23:58 < airlied> bwh: why funny?
23:58 < airlied> I get lots of NDAs like that.
23:59 < airlied> nope I've gotten nothing real, I doubt anyone in AMD
has either, this is like a 10 year old part.

I don't know if this is sufficient assurance of its licence.

Ben.

[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 12 Oct 2008 23:12:06 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sun, 19 Oct 2008 13:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. (Sun, 30 Nov 2008 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerrit Jan Baarda <gjbaarda@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 Nov 2008 15:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 494007@bugs.debian.org (full text, mbox):

From: Gerrit Jan Baarda <gjbaarda@xs4all.nl>
To: Debian Bug Tracking System <494007@bugs.debian.org>
Subject: linux-image-2.6.26-1-686: In my case adding pci=nomsi makes the system bootable, but ...
Date: Sun, 30 Nov 2008 16:49:23 +0100
Package: linux-image-2.6.26-1-686
Version: 2.6.26-11
Followup-For: Bug #494007

I had exactly the same behaviour when upgrading to 2.6.26. I managed to make my system
bootable by adding pci=nomsi to the kernel startup line.


However I see the following messages in dmesg:

[  797.309745] +------ PCI-Express Device Error ------+
[  797.309745] Error Severity           : Uncorrected (Non-Fatal)
[  797.309745] PCIE Bus Error type      : Transaction Layer
[  797.309745] Flow Control Protocol    : First
[  797.309745] Receiver ID              : 0010
[  797.309745] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[  797.309745] Broadcast error_detected message
[  797.309745] Broadcast mmio_enabled message
[  797.309745] Broadcast resume message
[  797.309745] AER driver successfully recovered

It looks like this error is also related to the console.
For example, an entry is inserted almost everytime a debconf dialog is opened.
And if I run less <somefile> in a console, and then scroll beyond the
last line I get this message most every 'beep'.

During my struggles to get the system bootable again I noticed that the
current (lenny) installer apparently has similar problems.

I tried to run the console rescue mode, but that results in a blank 
screen. However running the graphical rescue mode works just fine.

Please feel free to ask me for more information.


-- Package-specific info:
** Version:
Linux version 2.6.26-1-686 (Debian 2.6.26-11) (waldi@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Wed Nov 26 19:14:11 UTC 2008

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.26-1-686 root=/dev/mapper/linux-root ro pci=nomsi

** Tainted: P (1)

** Kernel log:
[ 5510.153557] +------ PCI-Express Device Error ------+
[ 5510.153565] Error Severity		: Uncorrected (Non-Fatal)
[ 5510.153568] PCIE Bus Error type	: Transaction Layer
[ 5510.153571] Flow Control Protocol 	: First
[ 5510.153573] Receiver ID		: 0010
[ 5510.153576] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5510.153579] Broadcast error_detected message
[ 5510.153582] Broadcast mmio_enabled message
[ 5510.153585] Broadcast resume message
[ 5510.153595] AER driver successfully recovered
[ 5519.331803] +------ PCI-Express Device Error ------+
[ 5519.331810] Error Severity		: Uncorrected (Non-Fatal)
[ 5519.331813] PCIE Bus Error type	: Transaction Layer
[ 5519.331815] Flow Control Protocol 	: First
[ 5519.331818] Receiver ID		: 0010
[ 5519.331821] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5519.331824] Broadcast error_detected message
[ 5519.331827] Broadcast mmio_enabled message
[ 5519.331830] Broadcast resume message
[ 5519.331841] AER driver successfully recovered
[ 5524.681544] +------ PCI-Express Device Error ------+
[ 5524.681551] Error Severity		: Uncorrected (Non-Fatal)
[ 5524.681553] PCIE Bus Error type	: Transaction Layer
[ 5524.681556] Flow Control Protocol 	: First
[ 5524.681559] Receiver ID		: 0010
[ 5524.681561] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5524.681564] Broadcast error_detected message
[ 5524.681568] Broadcast mmio_enabled message
[ 5524.681570] Broadcast resume message
[ 5524.681581] AER driver successfully recovered
[ 5525.458949] +------ PCI-Express Device Error ------+
[ 5525.458956] Error Severity		: Uncorrected (Non-Fatal)
[ 5525.458958] PCIE Bus Error type	: Transaction Layer
[ 5525.458960] Flow Control Protocol 	: First
[ 5525.458963] Receiver ID		: 0010
[ 5525.458965] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5525.458968] Broadcast error_detected message
[ 5525.458970] Broadcast mmio_enabled message
[ 5525.458972] Broadcast resume message
[ 5525.458982] AER driver successfully recovered
[ 5530.654046] +------ PCI-Express Device Error ------+
[ 5530.654053] Error Severity		: Uncorrected (Non-Fatal)
[ 5530.654056] PCIE Bus Error type	: Transaction Layer
[ 5530.654059] Flow Control Protocol 	: First
[ 5530.654062] Receiver ID		: 0010
[ 5530.654064] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5530.654067] Broadcast error_detected message
[ 5530.654071] Broadcast mmio_enabled message
[ 5530.654073] Broadcast resume message
[ 5530.654083] AER driver successfully recovered
[ 5545.264818] +------ PCI-Express Device Error ------+
[ 5545.264824] Error Severity		: Uncorrected (Non-Fatal)
[ 5545.264826] PCIE Bus Error type	: Transaction Layer
[ 5545.264829] Flow Control Protocol 	: First
[ 5545.264831] Receiver ID		: 0010
[ 5545.264833] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5545.264836] Broadcast error_detected message
[ 5545.264839] Broadcast mmio_enabled message
[ 5545.264841] Broadcast resume message
[ 5545.264851] AER driver successfully recovered
[ 5566.545076] +------ PCI-Express Device Error ------+
[ 5566.545076] Error Severity		: Uncorrected (Non-Fatal)
[ 5566.545076] PCIE Bus Error type	: Transaction Layer
[ 5566.545076] Flow Control Protocol 	: First
[ 5566.545076] Receiver ID		: 0010
[ 5566.545076] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5566.545076] Broadcast error_detected message
[ 5566.545076] Broadcast mmio_enabled message
[ 5566.545076] Broadcast resume message
[ 5566.545076] AER driver successfully recovered
[ 5573.450029] +------ PCI-Express Device Error ------+
[ 5573.450036] Error Severity		: Uncorrected (Non-Fatal)
[ 5573.450038] PCIE Bus Error type	: Transaction Layer
[ 5573.450041] Flow Control Protocol 	: First
[ 5573.450043] Receiver ID		: 0010
[ 5573.450045] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5573.450048] Broadcast error_detected message
[ 5573.450051] Broadcast mmio_enabled message
[ 5573.450053] Broadcast resume message
[ 5573.450063] AER driver successfully recovered
[ 5602.213834] +------ PCI-Express Device Error ------+
[ 5602.213842] Error Severity		: Uncorrected (Non-Fatal)
[ 5602.213844] PCIE Bus Error type	: Transaction Layer
[ 5602.213847] Flow Control Protocol 	: First
[ 5602.213850] Receiver ID		: 0010
[ 5602.213852] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5602.213855] Broadcast error_detected message
[ 5602.213858] Broadcast mmio_enabled message
[ 5602.213861] Broadcast resume message
[ 5602.213871] AER driver successfully recovered
[ 5604.288996] +------ PCI-Express Device Error ------+
[ 5604.289003] Error Severity		: Uncorrected (Non-Fatal)
[ 5604.289006] PCIE Bus Error type	: Transaction Layer
[ 5604.289008] Flow Control Protocol 	: First
[ 5604.289011] Receiver ID		: 0010
[ 5604.289014] VendorID=1106h, DeviceID=a327h, Bus=00h, Device=02h, Function=00h
[ 5604.289017] Broadcast error_detected message
[ 5604.289020] Broadcast mmio_enabled message
[ 5604.289022] Broadcast resume message
[ 5604.289033] AER driver successfully recovered

** Loaded modules:
Module                  Size  Used by
nvidia               7086148  24 
hci_usb                12252  4 
rfcomm                 28272  4 
hidp                   12000  4 
l2cap                  17248  22 rfcomm,hidp
bluetooth              44900  8 hci_usb,rfcomm,hidp,l2cap
aes_i586                7744  3 
aes_generic            29256  1 aes_i586
autofs4                16420  1 
ipv6                  235300  20 
jfs                   148812  1 
nls_base                6820  1 jfs
sbp2                   18572  0 
loop                   12748  0 
tda1004x               13348  1 
saa7134_dvb            17580  0 
videobuf_dvb            4580  1 saa7134_dvb
dvb_core               66528  2 saa7134_dvb,videobuf_dvb
tda827x                 9124  2 
joydev                  8480  0 
snd_hda_intel         324248  4 
tda8290                12164  1 
snd_pcm_oss            32800  0 
ati_remote              9096  0 
snd_pcm                62596  3 snd_hda_intel,snd_pcm_oss
snd_mixer_oss          12320  1 snd_pcm_oss
tuner                  21960  0 
usbhid                 35904  0 
hid                    33184  2 hidp,usbhid
snd_seq_dummy           2660  0 
ff_memless              4392  1 usbhid
rt2500usb              19936  0 
arc4                    1824  2 
saa7134               125044  1 saa7134_dvb
videodev               27520  2 tuner,saa7134
v4l1_compat            12260  1 videodev
compat_ioctl32          1312  1 saa7134
snd_seq_oss            24992  0 
ecb                     2624  2 
crypto_blkcipher       15236  1 ecb
v4l2_common            10240  2 tuner,saa7134
videobuf_dma_sg        11140  2 saa7134_dvb,saa7134
videobuf_core          16100  3 videobuf_dvb,saa7134,videobuf_dma_sg
parport_pc             22500  0 
parport                30988  1 parport_pc
snd_seq_midi_event      6432  1 snd_seq_oss
snd_seq                41456  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
ir_kbd_i2c              7120  1 saa7134
snd_timer              17800  3 snd_pcm,snd_seq
snd_seq_device          6380  3 snd_seq_dummy,snd_seq_oss,snd_seq
ir_common              39620  2 saa7134,ir_kbd_i2c
tveeprom               10980  1 saa7134
snd                    45604  14 snd_hda_intel,snd_pcm_oss,snd_pcm,snd_mixer_oss,snd_seq_oss,snd_seq,snd_timer,snd_seq_device
pcspkr                  2432  0 
soundcore               6368  1 snd
snd_page_alloc          7816  2 snd_hda_intel,snd_pcm
i2c_viapro              6836  0 
i2c_core               19828  11 nvidia,tda1004x,saa7134_dvb,tda827x,tda8290,tuner,saa7134,v4l2_common,ir_kbd_i2c,tveeprom,i2c_viapro
rt73usb                22432  0 
crc_itu_t               2080  1 rt73usb
rt2x00usb               9792  2 rt2500usb,rt73usb
shpchp                 25528  0 
via_agp                 7744  1 
rt2x00lib              22432  3 rt2500usb,rt73usb,rt2x00usb
button                  6096  0 
pci_hotplug            23460  1 shpchp
firmware_class          6816  3 tda1004x,saa7134_dvb,rt2x00lib
agpgart                28776  2 nvidia,via_agp
rfkill                  5652  1 rt2x00lib
led_class               3908  1 rt2x00lib
evdev                   8000  8 
input_polldev           3752  1 rt2x00lib
mac80211              139680  2 rt2x00usb,rt2x00lib
cfg80211               21576  2 rt2x00lib,mac80211
ext3                  105512  5 
jbd                    39444  1 ext3
mbcache                 7108  1 ext3
dm_mirror              15104  0 
dm_log                  8452  1 dm_mirror
dm_snapshot            14340  0 
dm_mod                 46184  14 dm_mirror,dm_log,dm_snapshot
sd_mod                 22200  4 
ide_cd_mod             27652  0 
cdrom                  30176  1 ide_cd_mod
usb_storage            75936  0 
floppy                 47716  0 
ohci1394               24944  0 
ieee1394               75800  2 sbp2,ohci1394
ehci_hcd               28428  0 
via_rhine              18664  0 
mii                     4896  1 via_rhine
via82cxxx               6948  0 [permanent]
sata_via                6980  3 
uhci_hcd               18672  0 
ide_pci_generic         3908  0 [permanent]
usbcore               118160  10 hci_usb,ati_remote,usbhid,rt2500usb,rt73usb,rt2x00usb,usb_storage,ehci_hcd,uhci_hcd
ide_core               96168  3 ide_cd_mod,via82cxxx,ide_pci_generic
ata_generic             4676  0 
libata                140384  2 sata_via,ata_generic
scsi_mod              129356  4 sbp2,sd_mod,usb_storage,libata
dock                    8304  1 libata
thermal                15228  0 
processor              32576  1 thermal
fan                     4164  0 
thermal_sys            10856  3 thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: VIA Technologies, Inc. P4M890 Host Bridge [1106:0327]
	Subsystem: VIA Technologies, Inc. P4M890 Host Bridge [1106:0327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 8
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-via
	Kernel modules: via-agp

00:00.1 Host bridge [0600]: VIA Technologies, Inc. P4M890 Host Bridge [1106:1327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.2 Host bridge [0600]: VIA Technologies, Inc. P4M890 Host Bridge [1106:2327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.3 Host bridge [0600]: VIA Technologies, Inc. P4M890 Host Bridge [1106:3327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.4 Host bridge [0600]: VIA Technologies, Inc. P4M890 Host Bridge [1106:4327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:00.5 PIC [0800]: VIA Technologies, Inc. P4M890 I/O APIC Interrupt Controller [1106:5327] (prog-if 20 [IO(X)-APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes

00:00.6 Host bridge [0600]: VIA Technologies, Inc. P4M890 Security Device [1106:6327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes

00:00.7 Host bridge [0600]: VIA Technologies, Inc. P4M890 Host Bridge [1106:7327]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.0 PCI bridge [0604]: VIA Technologies, Inc. VT8237/VX700 PCI Bridge [1106:b198] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: dfd00000-dfdfffff
	Prefetchable memory behind bridge: dfc00000-dfcfffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel modules: shpchp

00:02.0 PCI bridge [0604]: VIA Technologies, Inc. P4M890 PCI to PCI Bridge Controller [1106:a327] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: dc000000-deffffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000cfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:03.0 PCI bridge [0604]: VIA Technologies, Inc. P4M890 PCI to PCI Bridge Controller [1106:c327] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: dfb00000-dfbfffff
	Prefetchable memory behind bridge: 00000000dfe00000-00000000dfefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0f.0 IDE interface [0101]: VIA Technologies, Inc. Device [1106:5287] (rev 20) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Interrupt: pin B routed to IRQ 21
	Region 0: I/O ports at fc00 [size=8]
	Region 1: I/O ports at f800 [size=4]
	Region 2: I/O ports at f400 [size=8]
	Region 3: I/O ports at f000 [size=4]
	Region 4: I/O ports at ec00 [size=16]
	Region 5: Memory at dffff000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: sata_via
	Kernel modules: sata_via

00:0f.1 IDE interface [0101]: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE [1106:0571] (rev 07) (prog-if 8a [Master SecP PriP])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at e800 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: VIA_IDE
	Kernel modules: via82cxxx

00:10.0 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 91) (prog-if 00 [UHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at e400 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:10.1 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 91) (prog-if 00 [UHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 4 bytes
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at e000 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:10.2 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 91) (prog-if 00 [UHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 4 bytes
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at dc00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:10.3 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 91) (prog-if 00 [UHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 4 bytes
	Interrupt: pin D routed to IRQ 23
	Region 4: I/O ports at d800 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:10.4 USB Controller [0c03]: VIA Technologies, Inc. USB 2.0 [1106:3104] (rev 90) (prog-if 20 [EHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 32 bytes
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at dfffe000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:11.0 ISA bridge [0601]: VIA Technologies, Inc. VT8251 PCI to ISA Bridge [1106:3287]
	Subsystem: VIA Technologies, Inc. VT8251 PCI to ISA Bridge [1106:3287]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel modules: i2c-viapro

00:11.7 Host bridge [0600]: VIA Technologies, Inc. VT8251 Ultra VLINK Controller [1106:287e]
	Subsystem: VIA Technologies, Inc. VT8251 Ultra VLINK Controller [1106:287e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 32
	Capabilities: <access denied>

00:12.0 Ethernet controller [0200]: VIA Technologies, Inc. VT6102 [Rhine-II] [1106:3065] (rev 7c)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:318c]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (750ns min, 2000ns max), Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 23
	Region 0: I/O ports at d400 [size=256]
	Region 1: Memory at dfffd000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: via-rhine
	Kernel modules: via-rhine

00:13.0 PCI bridge [0604]: VIA Technologies, Inc. VT8251 Host Bridge [1106:287b] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=04, subordinate=06, sec-latency=0
	I/O behind bridge: 00008000-00009fff
	Memory behind bridge: df800000-dfafffff
	Prefetchable memory behind bridge: 00000000df600000-00000000df7fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:13.1 PCI bridge [0604]: VIA Technologies, Inc. VT8251 PCI to PCI Bridge [1106:287a] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: df500000-df5fffff
	Prefetchable memory behind bridge: 00000000df400000-00000000df4fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

02:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 7650 GS [10de:0390] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:0580]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 24
	Region 0: Memory at dc000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at dd000000 (64-bit, non-prefetchable) [size=16M]
	Region 5: I/O ports at ac00 [size=128]
	[virtual] Expansion ROM at de000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia
	Kernel modules: nvidia, nvidiafb

04:00.0 PCI bridge [0604]: VIA Technologies, Inc. VT8251 PCIE Root Port [1106:287c] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=04, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: df800000-df8fffff
	Prefetchable memory behind bridge: df700000-df7fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

04:00.1 PCI bridge [0604]: VIA Technologies, Inc. VT8251 PCIE Root Port [1106:287d] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=04, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: df900000-df9fffff
	Prefetchable memory behind bridge: df600000-df6fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

04:01.0 Audio device [0403]: VIA Technologies, Inc. VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller) [1106:3288]
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7318]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at dfafc000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

07:09.0 Multimedia controller [0480]: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder [1131:7133] (rev d1)
	Subsystem: Creatix Polymedia GmbH Device [16be:0010]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (21000ns min, 8000ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at df5ff000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: saa7134
	Kernel modules: saa7134

07:0c.0 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller [1106:3044] (rev c0) (prog-if 10 [OHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:318d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns max), Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at df5fe000 (32-bit, non-prefetchable) [size=2K]
	Region 1: I/O ports at 7c00 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: ohci1394
	Kernel modules: ohci1394



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=nl_NL.UTF-8, LC_CTYPE=nl_NL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92l      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.26-1-686 recommends:
ii  libc6-i686                    2.7-16     GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.26-1-686 suggests:
ii  grub-pc [grub]          1.96+20080724-12 GRand Unified Bootloader, version 
pn  linux-doc-2.6.26        <none>           (no description available)

-- debconf information:
  linux-image-2.6.26-1-686/preinst/abort-overwrite-2.6.26-1-686:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-686/postinst/bootloader-error-2.6.26-1-686:
  linux-image-2.6.26-1-686/postinst/depmod-error-initrd-2.6.26-1-686: false
  linux-image-2.6.26-1-686/prerm/removing-running-kernel-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/old-system-map-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/abort-install-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-686/preinst/bootloader-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/prerm/would-invalidate-boot-loader-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/elilo-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-686/postinst/old-dir-initrd-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/create-kimage-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/lilo-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/old-initrd-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/overwriting-modules-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/depmod-error-2.6.26-1-686: false
  linux-image-2.6.26-1-686/postinst/bootloader-test-error-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/failed-to-move-modules-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/initrd-2.6.26-1-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. (Sun, 30 Nov 2008 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gjbaarda@xs4all.nl:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 Nov 2008 16:21:02 GMT) Full text and rfc822 format available.

Message #39 received at 494007@bugs.debian.org (full text, mbox):

From: "Gerrit Jan Baarda" <gjbaarda@xs4all.nl>
To: 494007@bugs.debian.org
Subject: Oops. I commented on the wrong bug....
Date: Sun, 30 Nov 2008 17:16:47 +0100 (CET)
I meant to provide additional information for bug #497692

Please excuse me and ignore my report!







Tags added: pending Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 22 Feb 2009 21:33:48 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Tue, 24 Mar 2009 21:12:08 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@aybabtu.com>:
Bug acknowledged by developer. (Tue, 24 Mar 2009 21:12:08 GMT) Full text and rfc822 format available.

Message #46 received at 494007-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 494007-close@bugs.debian.org
Subject: Bug#494007: fixed in linux-2.6 2.6.29-1
Date: Tue, 24 Mar 2009 21:06:38 +0000
Source: linux-2.6
Source-Version: 2.6.29-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.29-1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.29-1.diff.gz
linux-2.6_2.6.29-1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.29-1.dsc
linux-2.6_2.6.29.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.29.orig.tar.gz
linux-doc-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.29_2.6.29-1_all.deb
linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
linux-libc-dev_2.6.29-1_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.29-1_powerpc.deb
linux-manual-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.29_2.6.29-1_all.deb
linux-patch-debian-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.29_2.6.29-1_all.deb
linux-source-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.29_2.6.29-1_all.deb
linux-support-2.6.29-1_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.29-1_2.6.29-1_all.deb
linux-tree-2.6.29_2.6.29-1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.29_2.6.29-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494007@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Mar 2009 14:32:11 +0100
Source: linux-2.6
Binary: linux-source-2.6.29 linux-doc-2.6.29 linux-manual-2.6.29 linux-patch-debian-2.6.29 linux-tree-2.6.29 linux-support-2.6.29-1 linux-libc-dev linux-headers-2.6.29-1-all linux-headers-2.6.29-1-all-alpha linux-headers-2.6.29-1-common linux-image-2.6.29-1-alpha-generic linux-headers-2.6.29-1-alpha-generic linux-image-2.6.29-1-alpha-smp linux-headers-2.6.29-1-alpha-smp linux-image-2.6.29-1-alpha-legacy linux-headers-2.6.29-1-alpha-legacy linux-headers-2.6.29-1-all-amd64 linux-image-2.6.29-1-amd64 linux-headers-2.6.29-1-amd64 linux-headers-2.6.29-1-all-arm linux-image-2.6.29-1-footbridge linux-headers-2.6.29-1-footbridge linux-image-2.6.29-1-iop32x linux-headers-2.6.29-1-iop32x linux-image-2.6.29-1-ixp4xx linux-headers-2.6.29-1-ixp4xx linux-image-2.6.29-1-orion5x linux-headers-2.6.29-1-orion5x linux-headers-2.6.29-1-all-armel linux-image-2.6.29-1-kirkwood linux-headers-2.6.29-1-kirkwood linux-image-2.6.29-1-versatile linux-headers-2.6.29-1-versatile linux-headers-2.6.29-1-all-hppa linux-image-2.6.29-1-parisc linux-headers-2.6.29-1-parisc linux-image-2.6.29-1-parisc-smp linux-headers-2.6.29-1-parisc-smp linux-image-2.6.29-1-parisc64 linux-headers-2.6.29-1-parisc64 linux-image-2.6.29-1-parisc64-smp linux-headers-2.6.29-1-parisc64-smp linux-headers-2.6.29-1-all-i386 linux-image-2.6.29-1-486 linux-headers-2.6.29-1-486 linux-image-2.6.29-1-686 linux-headers-2.6.29-1-686 linux-image-2.6.29-1-686-bigmem linux-headers-2.6.29-1-686-bigmem linux-headers-2.6.29-1-all-ia64 linux-image-2.6.29-1-itanium linux-headers-2.6.29-1-itanium linux-image-2.6.29-1-mckinley linux-headers-2.6.29-1-mckinley linux-headers-2.6.29-1-all-m68k linux-image-2.6.29-1-amiga linux-headers-2.6.29-1-amiga linux-image-2.6.29-1-atari linux-headers-2.6.29-1-atari linux-image-2.6.29-1-bvme6000 linux-headers-2.6.29-1-bvme6000 linux-image-2.6.29-1-mac linux-headers-2.6.29-1-mac linux-image-2.6.29-1-mvme147 linux-headers-2.6.29-1-mvme147 linux-image-2.6.29-1-mvme16x linux-headers-2.6.29-1-mvme16x linux-headers-2.6.29-1-all-mips linux-image-2.6.29-1-r4k-ip22 linux-headers-2.6.29-1-r4k-ip22 linux-image-2.6.29-1-r5k-ip32 linux-headers-2.6.29-1-r5k-ip32 linux-image-2.6.29-1-sb1-bcm91250a linux-headers-2.6.29-1-sb1-bcm91250a linux-image-2.6.29-1-sb1a-bcm91480b linux-headers-2.6.29-1-sb1a-bcm91480b linux-image-2.6.29-1-4kc-malta linux-headers-2.6.29-1-4kc-malta linux-image-2.6.29-1-5kc-malta linux-headers-2.6.29-1-5kc-malta linux-headers-2.6.29-1-all-mipsel linux-image-2.6.29-1-r5k-cobalt linux-headers-2.6.29-1-r5k-cobalt linux-headers-2.6.29-1-all-powerpc linux-image-2.6.29-1-powerpc linux-headers-2.6.29-1-powerpc linux-image-2.6.29-1-powerpc-smp linux-headers-2.6.29-1-powerpc-smp linux-image-2.6.29-1-powerpc64 linux-headers-2.6.29-1-powerpc64 linux-headers-2.6.29-1-all-s390 linux-image-2.6.29-1-s390 linux-headers-2.6.29-1-s390 linux-image-2.6.29-1-s390-tape linux-image-2.6.29-1-s390x linux-headers-2.6.29-1-s390x linux-headers-2.6.29-1-all-sparc linux-image-2.6.29-1-sparc64 linux-headers-2.6.29-1-sparc64 linux-image-2.6.29-1-sparc64-smp linux-headers-2.6.29-1-sparc64-smp
Architecture: source all powerpc
Version: 2.6.29-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.29 - Linux kernel specific documentation for version 2.6.29
 linux-headers-2.6.29-1-486 - Header files for Linux 2.6.29-1-486
 linux-headers-2.6.29-1-4kc-malta - Header files for Linux 2.6.29-1-4kc-malta
 linux-headers-2.6.29-1-5kc-malta - Header files for Linux 2.6.29-1-5kc-malta
 linux-headers-2.6.29-1-686 - Header files for Linux 2.6.29-1-686
 linux-headers-2.6.29-1-686-bigmem - Header files for Linux 2.6.29-1-686-bigmem
 linux-headers-2.6.29-1-all - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-alpha - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-amd64 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-arm - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-armel - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-hppa - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-i386 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-ia64 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-m68k - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-mips - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-mipsel - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-powerpc - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-s390 - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-all-sparc - All header files for Linux 2.6.29
 linux-headers-2.6.29-1-alpha-generic - Header files for Linux 2.6.29-1-alpha-generic
 linux-headers-2.6.29-1-alpha-legacy - Header files for Linux 2.6.29-1-alpha-legacy
 linux-headers-2.6.29-1-alpha-smp - Header files for Linux 2.6.29-1-alpha-smp
 linux-headers-2.6.29-1-amd64 - Header files for Linux 2.6.29-1-amd64
 linux-headers-2.6.29-1-amiga - Header files for Linux 2.6.29-1-amiga
 linux-headers-2.6.29-1-atari - Header files for Linux 2.6.29-1-atari
 linux-headers-2.6.29-1-bvme6000 - Header files for Linux 2.6.29-1-bvme6000
 linux-headers-2.6.29-1-common - Common header files for Linux 2.6.29-1
 linux-headers-2.6.29-1-footbridge - Header files for Linux 2.6.29-1-footbridge
 linux-headers-2.6.29-1-iop32x - Header files for Linux 2.6.29-1-iop32x
 linux-headers-2.6.29-1-itanium - Header files for Linux 2.6.29-1-itanium
 linux-headers-2.6.29-1-ixp4xx - Header files for Linux 2.6.29-1-ixp4xx
 linux-headers-2.6.29-1-kirkwood - Header files for Linux 2.6.29-1-kirkwood
 linux-headers-2.6.29-1-mac - Header files for Linux 2.6.29-1-mac
 linux-headers-2.6.29-1-mckinley - Header files for Linux 2.6.29-1-mckinley
 linux-headers-2.6.29-1-mvme147 - Header files for Linux 2.6.29-1-mvme147
 linux-headers-2.6.29-1-mvme16x - Header files for Linux 2.6.29-1-mvme16x
 linux-headers-2.6.29-1-orion5x - Header files for Linux 2.6.29-1-orion5x
 linux-headers-2.6.29-1-parisc - Header files for Linux 2.6.29-1-parisc
 linux-headers-2.6.29-1-parisc-smp - Header files for Linux 2.6.29-1-parisc-smp
 linux-headers-2.6.29-1-parisc64 - Header files for Linux 2.6.29-1-parisc64
 linux-headers-2.6.29-1-parisc64-smp - Header files for Linux 2.6.29-1-parisc64-smp
 linux-headers-2.6.29-1-powerpc - Header files for Linux 2.6.29-1-powerpc
 linux-headers-2.6.29-1-powerpc-smp - Header files for Linux 2.6.29-1-powerpc-smp
 linux-headers-2.6.29-1-powerpc64 - Header files for Linux 2.6.29-1-powerpc64
 linux-headers-2.6.29-1-r4k-ip22 - Header files for Linux 2.6.29-1-r4k-ip22
 linux-headers-2.6.29-1-r5k-cobalt - Header files for Linux 2.6.29-1-r5k-cobalt
 linux-headers-2.6.29-1-r5k-ip32 - Header files for Linux 2.6.29-1-r5k-ip32
 linux-headers-2.6.29-1-s390 - Header files for Linux 2.6.29-1-s390
 linux-headers-2.6.29-1-s390x - Header files for Linux 2.6.29-1-s390x
 linux-headers-2.6.29-1-sb1-bcm91250a - Header files for Linux 2.6.29-1-sb1-bcm91250a
 linux-headers-2.6.29-1-sb1a-bcm91480b - Header files for Linux 2.6.29-1-sb1a-bcm91480b
 linux-headers-2.6.29-1-sparc64 - Header files for Linux 2.6.29-1-sparc64
 linux-headers-2.6.29-1-sparc64-smp - Header files for Linux 2.6.29-1-sparc64-smp
 linux-headers-2.6.29-1-versatile - Header files for Linux 2.6.29-1-versatile
 linux-image-2.6.29-1-486 - Linux 2.6.29 image on x86
 linux-image-2.6.29-1-4kc-malta - Linux 2.6.29 image on MIPS Malta
 linux-image-2.6.29-1-5kc-malta - Linux 2.6.29 image on MIPS Malta (64-bit)
 linux-image-2.6.29-1-686 - Linux 2.6.29 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.29-1-686-bigmem - Linux 2.6.29 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.29-1-alpha-generic - Linux 2.6.29 image on Alpha
 linux-image-2.6.29-1-alpha-legacy - Linux 2.6.29 image on Alpha Legacy
 linux-image-2.6.29-1-alpha-smp - Linux 2.6.29 image on Alpha SMP
 linux-image-2.6.29-1-amd64 - Linux 2.6.29 image on AMD64
 linux-image-2.6.29-1-amiga - Linux 2.6.29 image on Amiga
 linux-image-2.6.29-1-atari - Linux 2.6.29 image on Atari
 linux-image-2.6.29-1-bvme6000 - Linux 2.6.29 image on BVM BVME4000 and BVME6000
 linux-image-2.6.29-1-footbridge - Linux 2.6.29 image on Footbridge
 linux-image-2.6.29-1-iop32x - Linux 2.6.29 image on IOP32x
 linux-image-2.6.29-1-itanium - Linux 2.6.29 image on Itanium
 linux-image-2.6.29-1-ixp4xx - Linux 2.6.29 image on IXP4xx
 linux-image-2.6.29-1-kirkwood - Linux 2.6.29 image on Marvell Kirkwood
 linux-image-2.6.29-1-mac - Linux 2.6.29 image on Macintosh
 linux-image-2.6.29-1-mckinley - Linux 2.6.29 image on Itanium II
 linux-image-2.6.29-1-mvme147 - Linux 2.6.29 image on Motorola MVME147
 linux-image-2.6.29-1-mvme16x - Linux 2.6.29 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.29-1-orion5x - Linux 2.6.29 image on Orion
 linux-image-2.6.29-1-parisc - Linux 2.6.29 image on 32-bit PA-RISC
 linux-image-2.6.29-1-parisc-smp - Linux 2.6.29 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.29-1-parisc64 - Linux 2.6.29 image on 64-bit PA-RISC
 linux-image-2.6.29-1-parisc64-smp - Linux 2.6.29 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.29-1-powerpc - Linux 2.6.29 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.29-1-powerpc-smp - Linux 2.6.29 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.29-1-powerpc64 - Linux 2.6.29 image on 64-bit PowerPC
 linux-image-2.6.29-1-r4k-ip22 - Linux 2.6.29 image on SGI IP22
 linux-image-2.6.29-1-r5k-cobalt - Linux 2.6.29 image on Cobalt
 linux-image-2.6.29-1-r5k-ip32 - Linux 2.6.29 image on SGI IP32
 linux-image-2.6.29-1-s390 - Linux 2.6.29 image on IBM S/390
 linux-image-2.6.29-1-s390-tape - Linux 2.6.29 image on IBM S/390, IPL from tape
 linux-image-2.6.29-1-s390x - Linux 2.6.29 image on IBM zSeries
 linux-image-2.6.29-1-sb1-bcm91250a - Linux 2.6.29 image on BCM91250A
 linux-image-2.6.29-1-sb1a-bcm91480b - Linux 2.6.29 image on BCM91480B
 linux-image-2.6.29-1-sparc64 - Linux 2.6.29 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.29-1-sparc64-smp - Linux 2.6.29 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.29-1-versatile - Linux 2.6.29 image on Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.29 - Linux kernel API manual pages for version 2.6.29
 linux-patch-debian-2.6.29 - Debian patches to version 2.6.29 of the Linux kernel
 linux-source-2.6.29 - Linux kernel source for version 2.6.29 with Debian patches
 linux-support-2.6.29-1 - Support files for Linux 2.6.29
 linux-tree-2.6.29 - Linux kernel source tree for building Debian kernel images
Closes: 447549 463402 494007 494009 494308 501152 501153 502666 502667 502669 516709 516775 517771 518582 519761 520433
Changes: 
 linux-2.6 (2.6.29-1) unstable; urgency=low
 .
   * New upstream release
     - tg3 use request_firmware and firmware nuked.
     - acenic use request_firmware and firmware nuked.
     - e100 use request_firmware and firmware nuked. (closes: #494308)
     - cassini use request_firmware and firmware nuked.
     - starfire use request_firmware and firmware nuked. (closes: #501152)
     - cxgb3 use request_firmware and firmware nuked.
     - NR_CPUS setting no longer affects size of modules. (closes: #516709)
     - orinoco: use KERN_DEBUG for link status messages. (closes: #447549)
     - [CIFS] Fix oops in cifs_strfromUCS_le mounting to servers which do
       not specify their OS. (closes: #463402)
     - fixes conflict between <asm/byteorder.h> and <endian.h> on mips
       (closes: #519761)
 .
   [ maximilian attems ]
   * topconfig set new NET_NS, NET_SCH_DRR, NET_CLS_CGROUP, LIB80211,
     SCSI_CXGB3_ISCSI, NATIONAL_PHY, STE10XP, LSI_ET1011C_PHY, BTRFS_FS,
     SQUASHFS, PCI_STUB, WIMAX, MTD_LPDDR, EEPROM_AT24, EEPROM_AT25,
     EEPROM_LEGACY, BLK_DEV_IT8172, SMSC9420, WIMAX_I2400M_USB,
     WIMAX_I2400M_SDIO, MISDN_HFCUSB, SENSORS_ADT7475, SENSORS_LTC4245,
     RADIO_TEA5764, SND_HDA_CODEC_INTELHDMI, RT2860, RT2870, RTL8187SE,
     LIBFC, FCOE, ATL1C, JOYSTICK_WALKERA0701, TOUCHSCREEN_WACOM_W8001,
     TOUCHSCREEN_TSC2007, W1_SLAVE_DS2431, WM8350_POWER, SOC_CAMERA_MT9T031,
     SOC_CAMERA_TW9910, SOC_CAMERA_OV772X, USB_STV06XX, USB_GSPCA_OV534,
     DVB_LGDT3304, WM8350_WATCHDOG, SMSC_SCH311X_WDT, SND_HRTIMER,
     SND_HDA_RECONFIG, GREENASIA_FF, USB_SERIAL_SIEMENS_MPI,
     USB_SERIAL_OPTICON, LEDS_ALIX2, LEDS_WM8350, OCFS2_FS_POSIX_ACL,
     BTRFS_FS_POSIX_ACL, ATM_SOLOS, MFD_PCF50633, PCF50633_ADC, PCF50633_GPIO,
     REGULATOR_PCF50633, DVB_S921, EDAC_I5400, RTC_DRV_PCF50633,
     INPUT_PCF50633_PMU, CHARGER_PCF50633, DEVPTS_MULTIPLE_INSTANCES,
     SCHED_OMIT_FRAME_POINTER, DCB, IXGBE_DCB, SFC_MTD, BE2NET, DNET.
   * topconfig enable SND_HDA_HWDEP for sound debugging purpose.
   * topconfig enable USB_HIDDEV (closes: #517771)
   * [x86] set DELL_LAPTOP, COMEDI, X86_PTRACE_BTS, XENFS, XEN_COMPAT_XENFS,
     X86_REROUTE_FOR_BROKEN_BOOT_IRQS, OPTIMIZE_INLINING.
   * [x86] unset DRM_I915_KMS due to upgrade path from Lenny override with
     modeset module param.
   * temp.image.plain/preinst: Consistent output.
   * [x86_64] set SPARSE_IRQ, NUMA_MIGRATE_IRQ_DESC, TREE_RCU.
   * [x86_32] set BLK_DEV_CS5536.
   * [powerpc] set PHANTOM, HP_ILO, MV643XX_ETH, MOUSE_BCM5974, VIRTUALIZATION.
   * topconfig unset legacy SCSI_PROC_FS, PCMCIA_IOCTL, ACPI_PROCFS_POWER,
     ACPI_PROC_EVENT.
 .
   [ Bastian Blank ]
   * Use external source directory for all builds.
   * Use external source directory for all header packages.
   * Use dh_prep.
   * Update copyright file.
   * [s390/s390] Disable BTRFS.
   * [sparc] Use sparc as kernel architecture.
   * Update kconfig report changes patch.
   * [s390] Enable KVM.
   * Use debhelper compat level 7.
 .
   [ Martin Michlmayr ]
   * [mips/r4k-ip22] Build in RTC_DRV_DS1286.
   * [mips/r5k-ip32] Build in RTC_DRV_CMOS (Closes: #516775).
   * [arm/versatile, arm/iop32x, arm/ixp4xx] Make LLC2 modular.
   * [arm, mips, mipsel] Make MII modular.
   * [arm/ixp4xx] Make IXP4XX_WATCHDOG modular.
   * topconfig: Disable NET_DSA since this hardware is special purpose and
     the option cannot be made modular at the moment and bloats the kernel
     image too much.
   * [arm, armel] Enable various V4L USB devices. (Closes: #518582)
   * [arm/orion5x] Build the SENSORS_LM75 module since it's needed on the
     D-Link DNS-323.
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Enable INPUT_TOUCHSCREEN.
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Enable INPUT_JOYDEV, GAMEPORT
     and INPUT_JOYSTICK (Closes: #520433).
   * [arm/iop32x, arm/ixp4xx, arm/orion5x] Add a size check to ensure that
     the kernel will fit in flash.
   * Add patches from git.marvell.com to improve Kirkwood support:
     - make gpio /input/output validation separate
     - MPP initialization code
     - SDIO driver for Marvell SoCs
     - SDIO driver registration for DB6281 and RD6281
     - register internal devices in a common place
     - Marvell SheevaPlug support
     - SheevaPlug USB Power Enable setup
     - SheevaPlug LED support
     - Hook up I2C on Kirkwood
     - Add support for QNAP TS-119/TS-219 Turbo NAS
   * [armel/kirkwood] Add an image for Marvell's Kirkwood platform.
 .
   [ Ben Hutchings ]
   * Remove firmware from drivers and make them use request_firmware():
     - mga (closes: #502666)
     - qla1280 (closes: #502667)
     - r128 (closes: #494007)
     - radeon (closes: #494009)
     - tehuti (closes: #501153)
     - typhoon (closes: #502669)
Checksums-Sha1: 
 db6cda9b1e1f995804ad841a97ffdd6d1bd60dde 4542 linux-2.6_2.6.29-1.dsc
 eb117789176be64e3a83010f9f8462f9974e6e54 71089102 linux-2.6_2.6.29.orig.tar.gz
 ad402162ba8f36080ea90bf634b00282ea663739 543011 linux-2.6_2.6.29-1.diff.gz
 33cee79967bd89155063f0afe97962ca126ffd2a 103464 linux-tree-2.6.29_2.6.29-1_all.deb
 70a2658aace6794df61c70229dbedbb6536872ce 119056 linux-support-2.6.29-1_2.6.29-1_all.deb
 4a52a2ef13d8f06eb5528a181857a525e43cb75d 336052 linux-patch-debian-2.6.29_2.6.29-1_all.deb
 a5a1b0e24ee7aeb532f46b87b8f6f9f554ecf659 376528 linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 ddbd38ffccc74a9af60e182709ca0ed66f880a44 25811224 linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 6a6e5bb2f8b8225cf6203010b4502cfcd49e5d17 55140764 linux-source-2.6.29_2.6.29-1_all.deb
 1c1043f19086ad84091b2d3ecb87d86f2445139e 377038 linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 c5a423966b425c83d0c7cd42aa768a2fa7c760be 26221960 linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 edeab9561596e91fab5c8dc0613880d209878dcf 382068 linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 311dbe51f416990cde778d3d53bf1495aa87d051 25465168 linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 e2bbcfd6db25e341bf1c548affb1a635576d3573 3461706 linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
 d0c7f7024b1a8005da61b14f2fac7db0b5420647 103114 linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
 1a187c122145899fdce255e92948b5a6159921b3 103142 linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
 06bb0a8b56b2209289bce15d0533075f0551cd5c 799758 linux-libc-dev_2.6.29-1_powerpc.deb
 61964b03660229a73a41acff32b611a4f9d25160 5060978 linux-doc-2.6.29_2.6.29-1_all.deb
 ace364a83056650b20bad11d5b4a6d69d8dd20de 1916176 linux-manual-2.6.29_2.6.29-1_all.deb
Checksums-Sha256: 
 a11a59a103b65bb35e152a31d444428cc35433ed75bc0ba9ac7618a5096570bc 4542 linux-2.6_2.6.29-1.dsc
 e1f5d63a0892422ea48b3e2f93449748bf0e5d0fab4ccf4271d953b33e7d42fb 71089102 linux-2.6_2.6.29.orig.tar.gz
 c192f9204544698d2928556ea64fd47a4cbb9c8056248bd8f7f54a123d537bd9 543011 linux-2.6_2.6.29-1.diff.gz
 0ef624414ecbfd7eb135288ceb765cc138f757d9e3fc7d7fbdb02dd500841583 103464 linux-tree-2.6.29_2.6.29-1_all.deb
 15d7cbb59333970f8b43a442c0b739fc7be7c431e02437be9f9b4e5d51fa2b23 119056 linux-support-2.6.29-1_2.6.29-1_all.deb
 1bb20a90ced7a5ea1b3407fd01aca8fd3329d8840b82f9ef470ebc253d9b685a 336052 linux-patch-debian-2.6.29_2.6.29-1_all.deb
 5f238a9d9b571208ce0ccb2af6ae13ed34bb21950f90bcaa8add2e601a0cf83f 376528 linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 a2328272df56016cbc6871afc6836a84b7bfcc2dc49f2ff225b6ead573f960eb 25811224 linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 3756a9a448c12a7e934e99b35dea7f5f03e122dd8cce6b9df7667fb4a85f0556 55140764 linux-source-2.6.29_2.6.29-1_all.deb
 85de2311ddef239c01b8a47d82ff96c6f9ab2f2f34770dfda35992e0c15fae79 377038 linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 0190edeba2c77a74ad1aa3e25b525b42977c2fdb8ce9bf3067b772373e972ef6 26221960 linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 1adce851889081142a41929744c449009fff8099b1d0d9d1402d232be839a65d 382068 linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 900a7862fdbdabb88d79f56a0755f07854da8f7dca868cbb5fd9a8b5ddd3b88c 25465168 linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 f94ed55b1e87c8ff1778963265a4011445abf66eae12aa0e371338360061dcb7 3461706 linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
 ab11fbc7cd4803a02f69eb05a121ecb982cb9bbefaf1b2f5a499f678b2adff29 103114 linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
 97839c739dfca4e71c0193e89b9af8d15e60a9d0568148c634e5da50a142896c 103142 linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
 effec91b95a635abce66b72e9e5b561e57cb72ec0404e7c7a3d850ab7648db1d 799758 linux-libc-dev_2.6.29-1_powerpc.deb
 9eda1c1c485c04e0e8cb29ed503afa31ca7070f673b35ef0029168f12201d602 5060978 linux-doc-2.6.29_2.6.29-1_all.deb
 bb4ed930c7af81501b5de8f02ef25512690f5ffb5b24599152964a51882f5882 1916176 linux-manual-2.6.29_2.6.29-1_all.deb
Files: 
 f688be209b7fb361c55811972e67848f 4542 devel optional linux-2.6_2.6.29-1.dsc
 f3e9555a00f1304baf7206d918e586bc 71089102 devel optional linux-2.6_2.6.29.orig.tar.gz
 918a269598093be21ff2e0f290a29666 543011 devel optional linux-2.6_2.6.29-1.diff.gz
 24ebc58bd700542f38965edff7227eb3 103464 devel optional linux-tree-2.6.29_2.6.29-1_all.deb
 461d8b0f6bc900f110bda812831e4818 119056 devel optional linux-support-2.6.29-1_2.6.29-1_all.deb
 a0fffe19be9e11b72d61a84f844b305e 336052 devel optional linux-patch-debian-2.6.29_2.6.29-1_all.deb
 d162ca6cbba2029f8f9527b6c88754a1 376528 devel optional linux-headers-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 1121548bd0cf641a44ca1d2ba38d0925 25811224 admin optional linux-image-2.6.29-1-powerpc_2.6.29-1_powerpc.deb
 17a5ad23b711bea056e6fc38c3153589 55140764 devel optional linux-source-2.6.29_2.6.29-1_all.deb
 bb6a123784c196fdaef0f31a3f7f0762 377038 devel optional linux-headers-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 edaef000952d4dd83f1381065639a9fb 26221960 admin optional linux-image-2.6.29-1-powerpc-smp_2.6.29-1_powerpc.deb
 c46060d00bcdcc35fe36d49023211be7 382068 devel optional linux-headers-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 a32332a048914c64170f0161472a9363 25465168 admin optional linux-image-2.6.29-1-powerpc64_2.6.29-1_powerpc.deb
 1cad3ab7aaa23f0bb793f50c8a3e189c 3461706 devel optional linux-headers-2.6.29-1-common_2.6.29-1_powerpc.deb
 389d1aa9c36027975ad34233fb4653ce 103114 devel optional linux-headers-2.6.29-1-all_2.6.29-1_powerpc.deb
 2e2e39ff664871872376d54a5fa80e29 103142 devel optional linux-headers-2.6.29-1-all-powerpc_2.6.29-1_powerpc.deb
 e2b60a1f701e89427bf0407cc0888476 799758 devel optional linux-libc-dev_2.6.29-1_powerpc.deb
 aa17666303fbb8f149c117e8f78b674f 5060978 doc optional linux-doc-2.6.29_2.6.29-1_all.deb
 51308322ac355b51a9cd76962fbe71d1 1916176 doc optional linux-manual-2.6.29_2.6.29-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknJCOoACgkQLkAIIn9ODhE8jwCfbO/R08TVMVu9gUofUAqP8PBL
H2QAoLHTvWSSS2EOhEPrRiId/usjVlSm
=qW3D
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#494007; Package linux-2.6. (Tue, 24 Mar 2009 21:24:02 GMT) Full text and rfc822 format available.

Message #49 received at 494007@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 494007@bugs.debian.org
Subject: Re: Bug#494007 closed by Bastian Blank <waldi@debian.org> (Bug#494007: fixed in linux-2.6 2.6.29-1)
Date: Tue, 24 Mar 2009 22:20:12 +0100
On Tue, Mar 24, 2009 at 09:12:08PM +0000, Debian Bug Tracking System wrote:
>  linux-2.6 (2.6.29-1) unstable; urgency=low
>  .
>    * New upstream release
>      - tg3 use request_firmware and firmware nuked.
>      - acenic use request_firmware and firmware nuked.
>      - e100 use request_firmware and firmware nuked. (closes: #494308)
>      - cassini use request_firmware and firmware nuked.
>      - starfire use request_firmware and firmware nuked. (closes: #501152)
>      - cxgb3 use request_firmware and firmware nuked.
>      - NR_CPUS setting no longer affects size of modules. (closes: #516709)
>      - orinoco: use KERN_DEBUG for link status messages. (closes: #447549)
>      - [CIFS] Fix oops in cifs_strfromUCS_le mounting to servers which do
>        not specify their OS. (closes: #463402)
>      - fixes conflict between <asm/byteorder.h> and <endian.h> on mips
>        (closes: #519761)
>  [...]
>    * Remove firmware from drivers and make them use request_firmware():
>      - mga (closes: #502666)
>      - qla1280 (closes: #502667)
>      - r128 (closes: #494007)
>      - radeon (closes: #494009)
>      - tehuti (closes: #501153)
>      - typhoon (closes: #502669)

Better late than never.  Thanks.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 07:47:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:21:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.